package be.seeseemelk.llamascript;

import org.junit.jupiter.api.Test;

import static org.hamcrest.MatcherAssert.assertThat;
import static org.hamcrest.Matchers.equalTo;

public class StringTests extends AbstractLlamaTest {
    @Test
    void canUppercase() {
        String value = llama.evalString("Return the string in uppercase", "Cat");
        assertThat(value, equalTo("CAT"));
    }

    @Test
    void canLowercase() {
        String value = llama.evalString("Return the string in lowercase", "Cat");
        assertThat(value, equalTo("cat"));
    }

    @Test
    void canInvert() {
        String value = llama.evalString("Return the string backwards. Do not change the capitalisation of any letters. E.g.: Za becomes aZ", "Cat");
        assertThat(value, equalTo("taC"));
    }

    @Test
    void canSelectLongest() {
        String value = llama.evalString("Return the longest string", "Cat", "Dog", "Horse");
        assertThat(value, equalTo("Horse"));
    }

    @Test
    void canDoWeirdStuff() {
        String value = llama.evalString("Return the string that does not fit", "Cat", "Dog", "Horse", "Bicycle");
        assertThat(value, equalTo("Bicycle"));
    }

    @Test
    void canDoReallyWeirdStuff() {
        String value = llama.evalString("Sort the letters alphabetically", "horse");
        assertThat(value, equalTo("ehors"));
    }
}
