package be.seeseemelk.llamascript;

import org.junit.jupiter.api.Test;

import static org.hamcrest.MatcherAssert.assertThat;
import static org.hamcrest.Matchers.equalTo;

public class IntegerTests extends AbstractLlamaTest {
    @Test
    void canIncrementNumber() {
        int value = llama.evalInt("Increment the number", 4);
        assertThat(value, equalTo(5));
    }

    @Test
    void canMultiply() {
        int value = llama.evalInt("Multiply the numbers", 2, 3);
        assertThat(value, equalTo(2*3));
    }

    @Test
    void canMax() {
        int value = llama.evalInt("Select the largest number", -2, 8);
        assertThat(value, equalTo(8));
    }

    @Test
    void canDoWeirdStuff() {
        int value = llama.evalInt("Select the number with the most '5's in it.", 12, 5, 1023978, 158525);
        assertThat(value, equalTo(158525));
    }

    @Test
    void givePositivity() {
        int value = llama.evalInt("If the string is something positive, return 1. Else, return 0.", "I like rainbows");
        assertThat(value, equalTo(1));

        value = llama.evalInt("If the string is something positive, return 1. Else, return 0.", "Death to all");
        assertThat(value, equalTo(0));
    }
}
